View Issue Details

IDProjectCategoryView StatusLast Update
0003746OpenFOAMBugpublic2021-10-27 23:50
ReporternoZeroDaysAssigned Tohenry 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version9 
Fixed in Versiondev 
Summary0003746: keyword coordinateSystem is undefined in dictionary
DescriptionUsing an example of fieldCoordinatesSystemTransform doesn't work as shown below;


    fieldCoordinateSystemTransform1
    {
        type fieldCoordinateSystemTransform;
        libs ("libfieldFunctionObjects.so");
        enabled true;
        fields
        (
            U
        );

        coordinateSystem
        {
            origin (0 0 0.005);
            coordinateRotation
            {
                type axesRotation;
                e1 (1 0.15 0);
                e3 (0 0 -1);
            }
        }
    }

Running:
pimpleFoam -postProcess

I get:
keyword coordinateSystem is undefined in dictionary "/tmp/test/system/controlDict/functions/fieldCoordinateSystemTransform1/coordinateSystem"

Similarly, using a coordinates system with another function object such as forces, raises the error reported here: https://bugs.openfoam.org/view.php?id=2454
TagsNo tags attached.

Activities

noZeroDays

2021-10-23 23:17

reporter   ~0012256

The example of fieldCoordinatesSystemTransform was taken from:
/opt/openfoam9/src/functionObjects/field/fieldCoordinateSystemTransform/fieldCoordinateSystemTransform.H

henry

2021-10-24 11:36

manager   ~0012257

fieldCoordinateSystemTransform was considerably out of date due to lack of use, try this in OpenFOAM-dev:

commit cdefd715213942a792e54cdb496d82ded01058de (HEAD -> master, origin/master, origin/HEAD)
Author: Henry Weller <http://cfd.direct>
Date: Sun Oct 24 11:33:56 2021 +0100

    fieldCoordinateSystemTransform: Updated coordinateSystem construction and documentation
    
    Resolves bug-report http://bugs.openfoam.org/view.php?id=3746

Issue History

Date Modified Username Field Change
2021-10-23 23:15 noZeroDays New Issue
2021-10-23 23:17 noZeroDays Note Added: 0012256
2021-10-24 11:36 henry Note Added: 0012257
2021-10-24 11:36 henry Priority high => low
2021-10-24 11:36 henry Severity major => minor
2021-10-27 23:50 henry Assigned To => henry
2021-10-27 23:50 henry Status new => resolved
2021-10-27 23:50 henry Resolution open => fixed
2021-10-27 23:50 henry Fixed in Version => dev